# List CPU Products - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-list-cpu-products

# List CPU Products

GET

/

gpu-instance

/

openapi

/

v1

/

cpu

/

products

Try it

List CPU Products

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/cpu/products \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/cpu/products"headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = { method: 'GET', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpu-instance/openapi/v1/cpu/products', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/cpu/products", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/cpu/products"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/cpu/products") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/cpu/products")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"id": "&#x3C;string>",
"name": "&#x3C;string>",
"cpuNum": 123,
"memorySize": 123,
"rootfsSize": 123,
"localVolumeSize": 123,
"availableDeploy": true,
"price": 123
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-cluster-id)

clusterId

string

Filter by specified cluster ID. String, length limit: 0-255 characters.

[​](#param-product-name)

productName

string

Filter by product name (fuzzy match). String, length limit: 0-255 characters.

##

[​](#response)

Response

[​](#param-id)

id

string

required

CPU product ID.

[​](#param-name)

name

string

required

CPU product name.

[​](#param-cpu-num)

cpuNum

integer

Number of CPU cores.

[​](#param-memory-size)

memorySize

integer

Memory size (GB).

[​](#param-rootfs-size)

rootfsSize

integer

Root filesystem size (GB).

[​](#param-local-volume-size)

localVolumeSize

integer

Local disk size (GB).

[​](#param-available-deploy)

availableDeploy

boolean

Whether this product can be used to create an instance. Values:

- true: This product can be used to create an instance.

- false: Insufficient resources, cannot create an instance.

[​](#param-price)

price

integer

Unit price of the product.

Last modified on May 28, 2025
